summaryrefslogtreecommitdiffstats
path: root/development/xtruss
diff options
context:
space:
mode:
author V'yacheslav Stetskevych2010-05-13 00:58:04 +0200
committer Robby Workman2010-05-13 00:58:04 +0200
commit279afd4a604b433b6a076cadfa8e8d18367e3a47 (patch)
tree806018a76ecd643072fbc716ae4ce9213c576f99 /development/xtruss
parent2beb32889feafbb43ae57ea48630346ab7745af2 (diff)
downloadslackbuilds-279afd4a604b433b6a076cadfa8e8d18367e3a47.tar.gz
development/xtruss: Added to 13.0 repository
Diffstat (limited to 'development/xtruss')
-rw-r--r--development/xtruss/README5
-rw-r--r--development/xtruss/slack-desc19
-rw-r--r--development/xtruss/xtruss.SlackBuild68
-rw-r--r--development/xtruss/xtruss.info10
4 files changed, 102 insertions, 0 deletions
diff --git a/development/xtruss/README b/development/xtruss/README
new file mode 100644
index 0000000000..88007b811b
--- /dev/null
+++ b/development/xtruss/README
@@ -0,0 +1,5 @@
+XTruss is an easy to use X protocol tracing program.
+
+It logs everything that passes between the X server and one or more X client
+programs. In this it is similar to xmon(1), but intended to combine xmon's
+basic functionality with an interface much more similar to strace(1).
diff --git a/development/xtruss/slack-desc b/development/xtruss/slack-desc
new file mode 100644
index 0000000000..5b465e88f0
--- /dev/null
+++ b/development/xtruss/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xtruss: xtruss (easy to use X protocol tracing program)
+xtruss:
+xtruss: XTruss logs everything that passes between the X server and one
+xtruss: or more X client programs. In this it is similar to xmon(1), but
+xtruss: intended to combine xmon's basic functionality with an interface
+xtruss: much more similar to strace(1).
+xtruss:
+xtruss: http://www.chiark.greenend.org.uk/~sgtatham/xtruss/
+xtruss:
+xtruss:
+xtruss:
diff --git a/development/xtruss/xtruss.SlackBuild b/development/xtruss/xtruss.SlackBuild
new file mode 100644
index 0000000000..decd05fb5a
--- /dev/null
+++ b/development/xtruss/xtruss.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for xtruss.
+
+# Written by V'yacheslav Stetskevych
+
+PRGNAM=xtruss
+VERSION=${VERSION:-r8615}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man ; find . -type f -exec gzip -9 {} \; )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/xtruss/xtruss.info b/development/xtruss/xtruss.info
new file mode 100644
index 0000000000..1f9396305e
--- /dev/null
+++ b/development/xtruss/xtruss.info
@@ -0,0 +1,10 @@
+PRGNAM="xtruss"
+VERSION="r8615"
+HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/xtruss/"
+DOWNLOAD="http://www.chiark.greenend.org.uk/~sgtatham/xtruss/xtruss-r8615.tar.gz"
+MD5SUM="cc5edf0c10a590f9b681ed7b27220668"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="rworkman"